Bug 1253812 - tcp-throughput test fails
tcp-throughput test fails
Status: CLOSED ERRATA
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: brose
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 14:55 EDT by Brian Brock
Modified: 2017-04-18 22:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-18 22:48:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2015-08-14 14:55:07 EDT
Using a wlan device which passes other wireless tests, the tcp-throughput test fails with "connection refused"

redhat-certification-hardware-1.0-20150813.el6

occurred in several test runs within the same lab environment, which is used for hardware testing of wlan.

Steps to Reproduce:
1. create a working wireless environment with separate LTS and SUT
2. run the wireless tests over the wlan connection between LTS and SUT
3. check results of tcp-throughput test

Actual results:

testing bandwidth to $host
Using 2 threads:
...
bw_tcp errors: socket connection: Connection refused
"bw_tcp -P 2 -m 1m $host" has output on stderr
FAIL



Expected results:
Successful, passing result.  There are no known problems with the wifi environment and other tests pass.

Additional info:
Comment 2 Greg Nichols 2015-08-17 10:24:09 EDT
Was redhat-certification-hardware installed on wlan-r2s16.wlan.rhts.eng.bos.redhat.com?   It looks as though it wasn't.  It's needed for the server-end of "bw_tcp" to be running.
Comment 3 Brian Brock 2015-08-25 10:14:34 EDT
yes, redhat-certification-hardware was installed on all systems.  That doesn't appear to be related to the bug.

Note You need to log in before you can comment on or make changes to this bug.